generic_writepages
Prev | More Memory Management Functions | Next

## Name

generic_writepages — walk the list of dirty pages of the given address space and `writepage` all of them.

## Synopsis

`int generic_writepages (` | struct address_space * | mapping,
| struct writeback_control * | wbc`)`;

## Arguments

`mapping`

  address space structure to write

`wbc`

  subtract the number of written pages from *`wbc`->nr_to_write

## Description

This is a library function, which implements the `writepages` address_space_operation.

Prev | Up | Next
write_cache_pages | Home | write_one_page